
From: Jens Axboe <axboe@suse.de>

blk_partition_remap() needs to use bio_data_dir(), as bio->bi_rw can
contain prio bits as well.

Signed-off-by: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/ll_rw_blk.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/ll_rw_blk.c~cfq-iosched-update-to-time-sliced-design-use-bio_data_dir drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~cfq-iosched-update-to-time-sliced-design-use-bio_data_dir	2005-03-30 18:02:03.000000000 -0800
+++ 25-akpm/drivers/block/ll_rw_blk.c	2005-03-30 18:02:03.000000000 -0800
@@ -2723,7 +2723,7 @@ static inline void blk_partition_remap(s
 	if (bdev != bdev->bd_contains) {
 		struct hd_struct *p = bdev->bd_part;
 
-		switch (bio->bi_rw) {
+		switch (bio_data_dir(bio)) {
 		case READ:
 			p->read_sectors += bio_sectors(bio);
 			p->reads++;
_
